Index: /palm/trunk/SOURCE/advec_ws.f90
===================================================================
--- /palm/trunk/SOURCE/advec_ws.f90	(revision 1352)
+++ /palm/trunk/SOURCE/advec_ws.f90	(revision 1353)
@@ -2735,63 +2741,63 @@
 
                 u_comp              = u(k,j,i) - u_gtrans
-                flux_l              = u_comp * (                           &
-                                               ( 37.0 * ibit2 * adv_sca_5  &
-                                            +     7.0 * ibit1 * adv_sca_3  &
-                                            +           ibit0 * adv_sca_1  &
-                                               ) *                         &
-                                         ( sk(k,j,i)   + sk(k,j,i-1)    )  &
-                                        -      (  8.0 * ibit2 * adv_sca_5  &
-                                            +           ibit1 * adv_sca_3  &
-                                               ) *                         &
-                                         ( sk(k,j,i+1) + sk(k,j,i-2)    )  &
-                                        +      (        ibit2 * adv_sca_5  &
-                                               ) *                         &
-                                         ( sk(k,j,i+2) + sk(k,j,i-3)    )  &
-                                            )
-
-                diss_l              = -ABS( u_comp ) * (                   &
-                                               ( 10.0 * ibit2 * adv_sca_5  &
-                                            +     3.0 * ibit1 * adv_sca_3  &
-                                            +           ibit0 * adv_sca_1  &
-                                               ) *                         &
-                                         ( sk(k,j,i)   - sk(k,j,i-1)    )  &
-                                        -      (  5.0 * ibit2 * adv_sca_5  &
-                                            +           ibit1 * adv_sca_3  &
-                                               ) *                         &
-                                         ( sk(k,j,i+1) - sk(k,j,i-2)  )    &
-                                        +      (        ibit2 * adv_sca_5  &
-                                               ) *                         &
-                                         ( sk(k,j,i+2) - sk(k,j,i-3) )     &
-                                                    )
+                flux_l              = u_comp * (                              &
+                                               ( 37.0_wp * ibit2 * adv_sca_5  &
+                                            +     7.0_wp * ibit1 * adv_sca_3  &
+                                            +              ibit0 * adv_sca_1  &
+                                               ) *                            &
+                                         ( sk(k,j,i)   + sk(k,j,i-1)    )     &
+                                        -      (  8.0_wp * ibit2 * adv_sca_5  &
+                                            +              ibit1 * adv_sca_3  &
+                                               ) *                            &
+                                         ( sk(k,j,i+1) + sk(k,j,i-2)    )     &
+                                        +      (           ibit2 * adv_sca_5  &
+                                               ) *                            &
+                                         ( sk(k,j,i+2) + sk(k,j,i-3)    )     &
+                                               )
+
+                diss_l              = -ABS( u_comp ) * (                      &
+                                               ( 10.0_wp * ibit2 * adv_sca_5  &
+                                            +     3.0_wp * ibit1 * adv_sca_3  &
+                                            +              ibit0 * adv_sca_1  &
+                                               ) *                            &
+                                         ( sk(k,j,i)   - sk(k,j,i-1)    )     &
+                                        -      (  5.0_wp * ibit2 * adv_sca_5  &
+                                            +              ibit1 * adv_sca_3  &
+                                               ) *                            &
+                                         ( sk(k,j,i+1) - sk(k,j,i-2)    )     &
+                                        +      (           ibit2 * adv_sca_5  &
+                                               ) *                            &
+                                         ( sk(k,j,i+2) - sk(k,j,i-3)    )     &
+                                                        )
 
                 u_comp    = u(k,j,i+1) - u_gtrans
-                flux_r    = u_comp * (                                      &
-                          ( 37.0 * ibit2 * adv_sca_5                        &
-                      +      7.0 * ibit1 * adv_sca_3                        &
-                      +            ibit0 * adv_sca_1                        &
-                          ) *                                               &
-                             ( sk(k,j,i+1) + sk(k,j,i)   )                  &
-                   -      (  8.0 * ibit2 * adv_sca_5                        &
-                       +           ibit1 * adv_sca_3                        &
-                          ) *                                               &
-                             ( sk(k,j,i+2) + sk(k,j,i-1) )                  &
-                   +      (        ibit2 * adv_sca_5                        &
-                          ) *                                               &
-                             ( sk(k,j,i+3) + sk(k,j,i-2) )                  &
+                flux_r    = u_comp * (                                        &
+                          ( 37.0_wp * ibit2 * adv_sca_5                       &
+                      +      7.0_wp * ibit1 * adv_sca_3                       &
+                      +               ibit0 * adv_sca_1                       &
+                          ) *                                                 &
+                             ( sk(k,j,i+1) + sk(k,j,i)   )                    &
+                   -      (  8.0_wp * ibit2 * adv_sca_5                       &
+                       +              ibit1 * adv_sca_3                       &
+                          ) *                                                 &
+                             ( sk(k,j,i+2) + sk(k,j,i-1) )                    &
+                   +      (           ibit2 * adv_sca_5                       &
+                          ) *                                                 &
+                             ( sk(k,j,i+3) + sk(k,j,i-2) )                    &
                                      )
 
-                diss_r    = -ABS( u_comp ) * (                              &
-                          ( 10.0 * ibit2 * adv_sca_5                        &
-                       +     3.0 * ibit1 * adv_sca_3                        &
-                       +           ibit0 * adv_sca_1                        &
-                          ) *                                               &
-                             ( sk(k,j,i+1) - sk(k,j,i)  )                   &
-                   -      (  5.0 * ibit2 * adv_sca_5                        &
-                       +           ibit1 * adv_sca_3                        &
-                          ) *                                               &
-                             ( sk(k,j,i+2) - sk(k,j,i-1) )                  &
-                   +      (        ibit2 * adv_sca_5                        &
-                          ) *                                               &
-                             ( sk(k,j,i+3) - sk(k,j,i-2) )                  &
+                diss_r    = -ABS( u_comp ) * (                                &
+                          ( 10.0_wp * ibit2 * adv_sca_5                       &
+                       +     3.0_wp * ibit1 * adv_sca_3                       &
+                       +              ibit0 * adv_sca_1                       &
+                          ) *                                                 &
+                             ( sk(k,j,i+1) - sk(k,j,i)   )                    &
+                   -      (  5.0_wp * ibit2 * adv_sca_5                       &
+                       +              ibit1 * adv_sca_3                       &
+                          ) *                                                 &
+                             ( sk(k,j,i+2) - sk(k,j,i-1) )                    &
+                   +      (           ibit2 * adv_sca_5                       &
+                          ) *                                                 &
+                             ( sk(k,j,i+3) - sk(k,j,i-2) )                    &
                                              )
 
@@ -2800,65 +2806,65 @@
                 ibit3 = IBITS(wall_flags_0(k,j,i),3,1)
 
-                v_comp               = v(k,j,i) - v_gtrans
-                flux_s               = v_comp * (                             &
-                                                  ( 37.0 * ibit5 * adv_sca_5  &
-                                               +     7.0 * ibit4 * adv_sca_3  &
-                                               +           ibit3 * adv_sca_1  &
-                                                  ) *                         &
-                                           ( sk(k,j,i)  + sk(k,j-1,i)     )   &
-                                            -     (  8.0 * ibit5 * adv_sca_5  &
-                                               +           ibit4 * adv_sca_3  &
-                                                   ) *                        &
-                                           ( sk(k,j+1,i) + sk(k,j-2,i)    )   &
-                                           +      (        ibit5 * adv_sca_5  &
-                                                  ) *                         &
-                                           ( sk(k,j+2,i) + sk(k,j-3,i)    )   &
+                v_comp    = v(k,j,i) - v_gtrans
+                flux_s    = v_comp * (                                        &
+                          ( 37.0_wp * ibit5 * adv_sca_5                       &
+                       +     7.0_wp * ibit4 * adv_sca_3                       &
+                       +              ibit3 * adv_sca_1                       &
+                          ) *                                                 &
+                             ( sk(k,j,i)  + sk(k,j-1,i)     )                 &
+                    -     (  8.0_wp * ibit5 * adv_sca_5                       &
+                       +              ibit4 * adv_sca_3                       &
+                          ) *                                                 &
+                             ( sk(k,j+1,i) + sk(k,j-2,i)    )                 &
+                   +      (           ibit5 * adv_sca_5                       &
+                          ) *                                                 &
+                             ( sk(k,j+2,i) + sk(k,j-3,i)    )                 &
+                                     )
+
+                diss_s    = -ABS( v_comp ) * (                                &
+                          ( 10.0_wp * ibit5 * adv_sca_5                       &
+                       +     3.0_wp * ibit4 * adv_sca_3                       &
+                       +              ibit3 * adv_sca_1                       &
+                          ) *                                                 &
+                             ( sk(k,j,i)   - sk(k,j-1,i)  )                   &
+                   -      (  5.0_wp * ibit5 * adv_sca_5                       &
+                       +              ibit4 * adv_sca_3                       &
+                          ) *                                                 &
+                             ( sk(k,j+1,i) - sk(k,j-2,i)  )                   &
+                   +      (           ibit5 * adv_sca_5                       &
+                          ) *                                                 &
+                             ( sk(k,j+2,i) - sk(k,j-3,i)  )                   &
                                              )
 
-                diss_s               = -ABS( v_comp ) * (                     &
-                                                  ( 10.0 * ibit5 * adv_sca_5  &
-                                               +     3.0 * ibit4 * adv_sca_3  &
-                                               +           ibit3 * adv_sca_1  &
-                                                  ) *                         &
-                                            ( sk(k,j,i)   - sk(k,j-1,i)    )  &
-                                           -      (  5.0 * ibit5 * adv_sca_5  &
-                                               +           ibit4 * adv_sca_3  &
-                                            ) *                               &
-                                            ( sk(k,j+1,i) - sk(k,j-2,i)  )    &
-                                           +      (        ibit5 * adv_sca_5  &
-                                                  ) *                         &
-                                            ( sk(k,j+2,i) - sk(k,j-3,i) )     &
-                                                     )
-
 
                 v_comp    = v(k,j+1,i) - v_gtrans
-                flux_n    = v_comp * (                                      &
-                          ( 37.0 * ibit5 * adv_sca_5                        &
-                       +     7.0 * ibit4 * adv_sca_3                        &
-                       +           ibit3 * adv_sca_1                        &
-                          ) *                                               &
-                             ( sk(k,j+1,i) + sk(k,j,i)   )                  &
-                   -      (  8.0 * ibit5 * adv_sca_5                        &
-                       +           ibit4 * adv_sca_3                        &
-                          ) *                                               &
-                             ( sk(k,j+2,i) + sk(k,j-1,i) )                  &
-                   +      (        ibit5 * adv_sca_5                        &
-                          ) *                                               &
-                             ( sk(k,j+3,i) + sk(k,j-2,i) )                  &
+                flux_n    = v_comp * (                                        &
+                          ( 37.0_wp * ibit5 * adv_sca_5                       &
+                       +     7.0_wp * ibit4 * adv_sca_3                       &
+                       +              ibit3 * adv_sca_1                       &
+                          ) *                                                 &
+                             ( sk(k,j+1,i) + sk(k,j,i)   )                    &
+                   -      (  8.0_wp * ibit5 * adv_sca_5                       &
+                       +              ibit4 * adv_sca_3                       &
+                          ) *                                                 &
+                             ( sk(k,j+2,i) + sk(k,j-1,i) )                    &
+                   +      (           ibit5 * adv_sca_5                       &
+                          ) *                                                 &
+                             ( sk(k,j+3,i) + sk(k,j-2,i) )                    &
                                      )
 
-                diss_n    = -ABS( v_comp ) * (                              &
-                          ( 10.0 * ibit5 * adv_sca_5                        &
-                       +     3.0 * ibit4 * adv_sca_3                        &
-                       +           ibit3 * adv_sca_1                        &
-                          ) *                                               &
-                             ( sk(k,j+1,i) - sk(k,j,i)    )                 &
-                   -      (  5.0 * ibit5 * adv_sca_5                        &
-                       +           ibit4 * adv_sca_3                        &
-                          ) *                                               &
-                             ( sk(k,j+2,i) - sk(k,j-1,i)  )                 &
-                   +      (        ibit5 * adv_sca_5                        &
-                          ) *                                               &
-                             ( sk(k,j+3,i) - sk(k,j-2,i) )                  &
+                diss_n    = -ABS( v_comp ) * (                                &
+                          ( 10.0_wp * ibit5 * adv_sca_5                       &
+                       +     3.0_wp * ibit4 * adv_sca_3                       &
+                       +              ibit3 * adv_sca_1                       &
+                          ) *                                                 &
+                             ( sk(k,j+1,i) - sk(k,j,i)    )                   &
+                   -      (  5.0_wp * ibit5 * adv_sca_5                       &
+                       +              ibit4 * adv_sca_3                       &
+                          ) *                                                 &
+                             ( sk(k,j+2,i) - sk(k,j-1,i)  )                   &
+                   +      (           ibit5 * adv_sca_5                       &
+                          ) *                                                 &
+                             ( sk(k,j+3,i) - sk(k,j-2,i)  )                   &
                                              )
 
@@ -2874,31 +2880,31 @@
 
                 flux_d    = w(k-1,j,i) * (                                    &
-                           ( 37.0 * ibit8 * adv_sca_5                         &
-                        +     7.0 * ibit7 * adv_sca_3                         &
-                        +           ibit6 * adv_sca_1                         &
+                           ( 37.0_wp * ibit8 * adv_sca_5                      &
+                        +     7.0_wp * ibit7 * adv_sca_3                      &
+                        +              ibit6 * adv_sca_1                      &
                            ) *                                                &
-                                   ( sk(k,j,i)    + sk(k-1,j,i) )             &
-                          -      (  8.0 * ibit8 * adv_sca_5                   &
-                          +               ibit7 * adv_sca_3                   &
+                                   ( sk(k,j,i)    + sk(k-1,j,i)  )            &
+                    -      (  8.0_wp * ibit8 * adv_sca_5                      &
+                          +            ibit7 * adv_sca_3                      &
                            ) *                                                &
-                                   ( sk(k+1,j,i) + sk(k_mm,j,i) )             &
-                    +      (        ibit8 * adv_sca_5                         &
+                                   ( sk(k+1,j,i) + sk(k_mm,j,i)  )            &
+                    +      (           ibit8 * adv_sca_5                      &
                            ) *     ( sk(k_pp,j,i)+ sk(k_mmm,j,i) )            &
-                                       )
+                                         )
 
                 diss_d    = -ABS( w(k-1,j,i) ) * (                            &
-                           ( 10.0 * ibit8 * adv_sca_5                         &
-                        +     3.0 * ibit7 * adv_sca_3                         &
-                        +           ibit6 * adv_sca_1                         &
+                           ( 10.0_wp * ibit8 * adv_sca_5                      &
+                        +     3.0_wp * ibit7 * adv_sca_3                      &
+                        +              ibit6 * adv_sca_1                      &
                            ) *                                                &
                                    ( sk(k,j,i)    - sk(k-1,j,i)   )           &
-                    -      (  5.0 * ibit8 * adv_sca_5                         &
-                        +           ibit7 * adv_sca_3                         &
+                    -      (  5.0_wp * ibit8 * adv_sca_5                      &
+                        +              ibit7 * adv_sca_3                      &
                            ) *                                                &
                                    ( sk(k+1,j,i)  - sk(k_mm,j,i)  )           &
-                    +      (        ibit8 * adv_sca_5                         &
+                    +      (           ibit8 * adv_sca_5                      &
                            ) *                                                &
                                    ( sk(k_pp,j,i) - sk(k_mmm,j,i) )           &
-                                         )
+                                                 )
 
                 ibit8 = IBITS(wall_flags_0(k,j,i),8,1)
@@ -2911,28 +2917,28 @@
 
                 flux_t    = w(k,j,i) * (                                      &
-                           ( 37.0 * ibit8 * adv_sca_5                         &
-                        +     7.0 * ibit7 * adv_sca_3                         &
-                        +           ibit6 * adv_sca_1                         &
+                           ( 37.0_wp * ibit8 * adv_sca_5                      &
+                        +     7.0_wp * ibit7 * adv_sca_3                      &
+                        +              ibit6 * adv_sca_1                      &
                            ) *                                                &
-                                   ( sk(k+1,j,i)  + sk(k,j,i)   )             &
-                          -      (  8.0 * ibit8 * adv_sca_5                   &
-                        +                 ibit7 * adv_sca_3                   &
+                                   ( sk(k+1,j,i)  + sk(k,j,i)    )            &
+                    -      (  8.0_wp * ibit8 * adv_sca_5                      &
+                        +              ibit7 * adv_sca_3                      &
                            ) *                                                &
-                                   ( sk(k_pp,j,i) + sk(k-1,j,i) )             &
-                    +      (        ibit8 * adv_sca_5                         &
+                                   ( sk(k_pp,j,i) + sk(k-1,j,i)  )            &
+                    +      (           ibit8 * adv_sca_5                      &
                            ) *     ( sk(k_ppp,j,i)+ sk(k_mm,j,i) )            &
                                        )
 
                 diss_t    = -ABS( w(k,j,i) ) * (                              &
-                           ( 10.0 * ibit8 * adv_sca_5                         &
-                        +     3.0 * ibit7 * adv_sca_3                         &
-                        +           ibit6 * adv_sca_1                         &
+                           ( 10.0_wp * ibit8 * adv_sca_5                      &
+                        +     3.0_wp * ibit7 * adv_sca_3                      &
+                        +              ibit6 * adv_sca_1                      &
                            ) *                                                &
                                    ( sk(k+1,j,i)   - sk(k,j,i)    )           &
-                    -      (  5.0 * ibit8 * adv_sca_5                         &
-                        +           ibit7 * adv_sca_3                         &
+                    -      (  5.0_wp * ibit8 * adv_sca_5                      &
+                        +              ibit7 * adv_sca_3                      &
                            ) *                                                &
                                    ( sk(k_pp,j,i)  - sk(k-1,j,i)  )           &
-                    +      (        ibit8 * adv_sca_5                         &
+                    +      (           ibit8 * adv_sca_5                      &
                            ) *                                                &
                                    ( sk(k_ppp,j,i) - sk(k_mm,j,i) )           &
@@ -3045,6 +3051,6 @@
        REAL(wp), DIMENSION(nzb:nzt) ::  u_comp !:
  
-       gu = 2.0 * u_gtrans
-       gv = 2.0 * v_gtrans
+       gu = 2.0_wp * u_gtrans
+       gv = 2.0_wp * v_gtrans
 
 !
@@ -3060,14 +3066,14 @@
              u_comp(k)                = u(k,j,i) + u(k,j,i-1) - gu
              swap_flux_x_local_u(k,j) = u_comp(k) * (                          &
-                                       ( 37.0 * ibit11 * adv_mom_5             &
-                                    +     7.0 * ibit10 * adv_mom_3             &
-                                    +           ibit9  * adv_mom_1             &
+                                       ( 37.0_wp * ibit11 * adv_mom_5             &
+                                    +     7.0_wp * ibit10 * adv_mom_3             &
+                                    +              ibit9  * adv_mom_1             &
                                        ) *                                     &
                                      ( u(k,j,i)   + u(k,j,i-1) )               &
-                                -      (  8.0 * ibit11 * adv_mom_5             &
-                                    +           ibit10 * adv_mom_3             &
+                                -      (  8.0_wp * ibit11 * adv_mom_5             &
+                                    +              ibit10 * adv_mom_3             &
                                        ) *                                     &
                                      ( u(k,j,i+1) + u(k,j,i-2) )               &
-                                +      (        ibit11 * adv_mom_5             &
+                                +      (           ibit11 * adv_mom_5             &
                                        ) *                                     &
                                      ( u(k,j,i+2) + u(k,j,i-3) )               &
@@ -3075,14 +3081,14 @@
 
               swap_diss_x_local_u(k,j) = - ABS( u_comp(k) ) * (                &
-                                       ( 10.0 * ibit11 * adv_mom_5             &
-                                    +     3.0 * ibit10 * adv_mom_3             &
-                                    +           ibit9  * adv_mom_1             &
+                                       ( 10.0_wp * ibit11 * adv_mom_5             &
+                                    +     3.0_wp * ibit10 * adv_mom_3             &
+                                    +              ibit9  * adv_mom_1             &
                                        ) *                                     &
                                      ( u(k,j,i)   - u(k,j,i-1) )               &
-                                -      (  5.0 * ibit11 * adv_mom_5             &
-                                    +           ibit10 * adv_mom_3             &
+                                -      (  5.0_wp * ibit11 * adv_mom_5             &
+                                    +              ibit10 * adv_mom_3             &
                                        ) *                                     &
                                      ( u(k,j,i+1) - u(k,j,i-2) )               &
-                                +      (        ibit11 * adv_mom_5             &
+                                +      (           ibit11 * adv_mom_5             &
                                        ) *                                     &
                                      ( u(k,j,i+2) - u(k,j,i-3) )               &
@@ -3095,11 +3101,11 @@
              u_comp(k)         = u(k,j,i) + u(k,j,i-1) - gu
              swap_flux_x_local_u(k,j) = u_comp(k) * (                          &
-                             37.0 * ( u(k,j,i) + u(k,j,i-1)   )                &
-                           -  8.0 * ( u(k,j,i+1) + u(k,j,i-2) )                &
-                           +        ( u(k,j,i+2) + u(k,j,i-3) ) ) * adv_mom_5
+                             37.0_wp * ( u(k,j,i) + u(k,j,i-1)   )                &
+                           -  8.0_wp * ( u(k,j,i+1) + u(k,j,i-2) )                &
+                           +           ( u(k,j,i+2) + u(k,j,i-3) ) ) * adv_mom_5
              swap_diss_x_local_u(k,j) = - ABS(u_comp(k)) * (                   &
-                             10.0 * ( u(k,j,i) - u(k,j,i-1)   )                &
-                           -  5.0 * ( u(k,j,i+1) - u(k,j,i-2) )                &
-                           +        ( u(k,j,i+2) - u(k,j,i-3) ) ) * adv_mom_5
+                             10.0_wp * ( u(k,j,i) - u(k,j,i-1)   )                &
+                           -  5.0_wp * ( u(k,j,i+1) - u(k,j,i-2) )                &
+                           +           ( u(k,j,i+2) - u(k,j,i-3) ) ) * adv_mom_5
 
           ENDDO
@@ -3118,14 +3124,14 @@
              v_comp                 = v(k,j,i) + v(k,j,i-1) - gv
              swap_flux_y_local_u(k) = v_comp * (                              &
-                                   ( 37.0 * ibit14 * adv_mom_5                &
-                                +     7.0 * ibit13 * adv_mom_3                &
-                                +           ibit12 * adv_mom_1                &
+                                   ( 37.0_wp * ibit14 * adv_mom_5                &
+                                +     7.0_wp * ibit13 * adv_mom_3                &
+                                +              ibit12 * adv_mom_1                &
                                    ) *                                        &
                                      ( u(k,j,i)   + u(k,j-1,i) )              &
-                            -      (  8.0 * ibit14 * adv_mom_5                &
-                            +           ibit13 * adv_mom_3                    &
+                            -      (  8.0_wp * ibit14 * adv_mom_5                &
+                            +                  ibit13 * adv_mom_3                    &
                                    ) *                                        &
                                      ( u(k,j+1,i) + u(k,j-2,i) )              &
-                        +      (        ibit14 * adv_mom_5                    &
+                        +      (               ibit14 * adv_mom_5                    &
                                ) *                                            &
                                      ( u(k,j+2,i) + u(k,j-3,i) )              &
